edu.wpi.first.wpilibj.hal

## Interface FRCNetComm.tTargetClass

- Enclosing class:
    FRCNetComm

      public static interface FRCNetComm.tTargetClass

  Target class from LoadOut.h

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `kTargetClass_FamilyMask`
    `static int` | `kTargetClass_FRC1`
    `static int` | `kTargetClass_FRC2`
    `static int` | `kTargetClass_FRC2_Analog`
    `static int` | `kTargetClass_FRC2_Digital`
    `static int` | `kTargetClass_FRC2_Solenoid`
    `static int` | `kTargetClass_FRC3`
    `static int` | `kTargetClass_ModuleMask`
    `static int` | `kTargetClass_RoboRIO`
    `static int` | `kTargetClass_Unknown`

- - ### Field Detail

    - #### kTargetClass_Unknown

          static final int kTargetClass_Unknown

      See Also:
        Constant Field Values

    - #### kTargetClass_FRC1

          static final int kTargetClass_FRC1

      See Also:
        Constant Field Values

    - #### kTargetClass_FRC2

          static final int kTargetClass_FRC2

      See Also:
        Constant Field Values

    - #### kTargetClass_FRC3

          static final int kTargetClass_FRC3

      See Also:
        Constant Field Values

    - #### kTargetClass_RoboRIO

          static final int kTargetClass_RoboRIO

      See Also:
        Constant Field Values

    - #### kTargetClass_FRC2_Analog

          static final int kTargetClass_FRC2_Analog

      See Also:
        Constant Field Values

    - #### kTargetClass_FRC2_Digital

          static final int kTargetClass_FRC2_Digital

      See Also:
        Constant Field Values

    - #### kTargetClass_FRC2_Solenoid

          static final int kTargetClass_FRC2_Solenoid

      See Also:
        Constant Field Values

    - #### kTargetClass_FamilyMask

          static final int kTargetClass_FamilyMask

      See Also:
        Constant Field Values

    - #### kTargetClass_ModuleMask

          static final int kTargetClass_ModuleMask

      See Also:
        Constant Field Values